language: cn
model_unique_abbr: BreachDepressionsLeastCost_whiteboxtools
version: 1.0
identification:
  docker_image_name: whitebox-tools:2.0.0
  model_name: 填洼（降低边缘洼地高度）
  semantic: pit_removing
  description: 填洼算法是一种调整洼地区域高程值，使模拟过程中洼地内水流能顺畅向低处流动的算法。
  category_application: 诊断型
  category_data:
  - DEM数据
  keywords:
  - 地形分析
  - 水文分析
parameter_info:
  parameters:
  - arg_name: r
    param_type: param
    visible: false
    name: 计算方式
    description: 对输入数据进行计算的方式
    is_required: false
    data_type: str
    data_semantic: operation mode
    specification:
      default: BreachDepressionsLeastCost
  - arg_name: i
    param_type: input_data
    name: 输入数据
    description: 输入栅格 DEM 文件
    data_type: geotiff
    data_semantic: dem
  - arg_name: dist
    is_single_en_dash: false
    param_type: param
    name: 距离
    description: 对单元格中填洼路径的最大搜索距离
    data_type: int
    data_semantic: distance
    specification:
      range:
      - "(0,)"
  - arg_name: max_cost
    is_single_en_dash: false
    param_type: param
    name: 最大成本
    description: 可选的最大填洼成本（默认值为无穷大）
    is_required: false
    data_type: float
    data_semantic: max_cost
    specification:
      range:
      - "(0,)"
  - arg_name: min_dist
    is_single_en_dash: false
    param_type: param
    name: 最小距离
    description: 是否最小化填洼距离
    is_required: false
    data_type: bool
    data_semantic: min_distance
    specification:
      default: "true"
  - arg_name: flat_increment
    is_single_en_dash: false
    param_type: param
    name: 平整区域增量
    description: 应用于平整区域的可选高程增量
    is_required: false
    data_type: float
    data_semantic: flat_increment
    specification:
      range:
      - "(0,)"
  - arg_name: fill
    is_single_en_dash: false
    param_type: param
    name: 填充
    description: 是否填充任何剩余的未填的洼地
    is_required: false
    data_type: bool
    data_semantic: fill
    specification:
      default: "true"
  - arg_name: o
    param_type: output_data
    name: 输出数据
    description: 输出栅格文件。
    data_type: geotiff
    data_semantic: filled_dem_data
application:
  domain: 水文分析数据预处理
  objective: 通常用于调整洼地区域高程值。
  dimension:
  - 二维
  mechanism: 使用成本最低的路径分析来识别将坑像元（即没有较低相邻点的网格像元）连接到某个远处较低像元的填洼通道。在填洼之前，为了最大限度地减少填洼通道的深度，所有坑像元都上升到最低邻居的高程减去一个小的高度值。在这里，填洼路径的成本取决于通过周围地形切割破坏通道所需的高程降低量。
operation:
  usage: 用户必须指定输入 DEM 文件的名称、输出违规的 DEM 文件 、最大搜索窗口半径 ，可选参数为最大填洼成本和平面高度增量值等。
  exec_example:
  - docker run --rm -it -v $PWD\test_data\:/data whitebox_tools:1.1 -r=BreachDepressionsLeastCost -i=/data/example_3857.tif -o=/data/BreachDepressionsLeastCost_out.tif --dist=1000 --max_cost=100.0
  license:
  - MIT
  tips: 请注意，此模型不会填充 DEM 中的 NoData 区域。建议在应用之前处理此类区域。
technique:
  language:
  - Rust
  os:
  - Linux
  - Windows
source:
  maintainer: Haotian Zhang
  organization: Wuhan University
  contact: 1049662535@qq.com
  repository: https://github.com/jblindsay/whitebox-tools
  integrated_softwares:
  - name: whitebox_tools
    version: 2.1
    license: MIT
  references:
  - "Planchon, O., Darboux, F. 2002. A fast, simple and versatile algorithm to fill the depressions of digital elevation models. Catena, 46(2-3):159–176."
  - "Lindsay J, Dhun K. 2015. Modelling surface drainage patterns in altered landscapes using LiDAR. International Journal of Geographical Information Science, 29:1-15. DOI:10.1080/13658816.2014.975715"
  - https://www.whiteboxgeo.com/manual/wbt_book/available_tools/hydrological_analysis.html?highlight=BreachDepressionsLeastCost#breachdepressionsleastcost
